		//次の設問へスクロール
		function scrollNext(anchor) {
			var position = $(anchor).offset().top;
			$("html, body").animate({
				scrollTop: position
			}, 500, "swing");
			return false;
		}

		//質問１選択→質問2表示
		$(function () {
			$('.item :radio').on('change', function () {
				$('.app_type').show();
				$('.app_type :radio').prop('checked', false);
				$('.pause,.cancel,.btn').hide();
				scrollNext('#scrollAnchor');
			});
		});

		//質問2分岐表示
		$(function () {
			$('.app_type :radio').on('change', function () {
				if ($('[id=pause]').prop('checked')) { //休止
					$('.pause').show();
					$('.cancel,.btn.entry,.cancel-remind').hide();
					$('.cancel-remind :radio').prop
					scrollNext('#scrollAnchor');
				}
				else if ($('[id=change]').prop('checked')) { //スキップ
					$('.pause,.cancel,.cancel-remind').hide();
					$('.btn.entry').show();
					$('.pause :radio,.cancel-remind :radio').prop('checked', false);
					scrollNext('#scrollAnchor');
				}
				else if ($('[id=cancel]').prop('checked')) { //解約
					$('.cancel-remind').show();
					$('.cancel,.pause,.btn.entry').hide();
					$('.pause :radio,.cancel-remind :radio').prop('checked', false);
					scrollNext('#scrollAnchor');
				}
			});
		});

		//継続促進バナー
		$(function () {
			$('.cancel-remind :radio').on('change', function () {
				if ($('[id=pause_2]').prop('checked')) { //休止2
					$('.pause').show();
					$('.cancel,.btn.entry').hide();
					scrollNext('#scrollAnchor');
				} 
				else if ($('[id=change_2]').prop('checked')) { //スキップ2
					$('.pause,.cancel').hide();
					$('.btn.entry').show();
					$('.pause :radio').prop('checked', false);
					scrollNext('#scrollAnchor');
				}
				else if ($('[id=cancel_2]').prop('checked')) { //解約2
					$('.cancel').show();
					$('.pause,.btn.entry').hide();
					$('.pause :radio').prop('checked', false);
					if ($('.cancel_reason').css('display') == 'none') {
						$('.cancel_reason').show();
						scrollNext('#scrollAnchor');
					}
					//質問9まで到達しているか
					if ($('[id="request_check"]').prop('checked')) {
						$('.checklist,.btn.entry,.flow2').show();
					} else {
						$('.checklist,.btn.entry,.flow2').hide();
					}
				}
			});
		});

		//質問2-1→エントリーボタン表示
		$(function () {
			$('.pause :radio').on('change', function () {
				$('.btn.entry').show();
				scrollNext('#scrollAnchor');
			});
		});

		$(function () {
			//質問3→質問4表示
			$('.cancel_reason :radio').on('change', function () {

				//その他選択でテキストエリア表示
				if ($('[id=cancel_reason_other]').prop('checked')) {
					$('.cancel_reason_textarea').show();
				} else {
					$('.cancel_reason_textarea').hide();
				}

				if ($('.gender').css('display') == 'none') {
					$('.gender').show();
					scrollNext('#scrollAnchor');
				}
			});

			//質問4→質問5表示
			$('.gender :radio').on('change', function () {
				if ($('.age').css('display') == 'none') {
					$('.age').show();
					scrollNext('#scrollAnchor');
				}
			});

			//質問5→質問6表示
			$('.age select').on('change', function () {
				if ($('.trigger').css('display') == 'none') {
					$('.trigger').show();
					scrollNext('#scrollAnchor');
				}
			});

			//質問6→質問7表示
			$('.trigger :checkbox').on('change', function () {
				if ($('.nps_score').css('display') == 'none') {
					$('.nps_score').show();
					scrollNext('#scrollAnchor');
				}
			});

			//質問7→質問8表示
			$('.nps_score :radio').on('change', function () {
				if ($('.item_request').css('display') == 'none') {
					$('.item_request').show();
					scrollNext('#scrollAnchor');
				}
			});

			//質問8→質問9表示
			$('[id=item_request_check]').on('change', function () {
				if ($('.request').css('display') == 'none') {
					$('.request').show();
					scrollNext('#scrollAnchor');
				}
			});

			//質問9→必須確認、ボタン表示
			$('[id=request_check]').on('change', function () {
				var val = $('.request textarea').val();
				if (val == "") {
					alert('質問9の回答を15文字以上でお書きください');
					$(this).prop('checked', false);
				} else {
					if ($('.checklist').css('display') == 'none') {
						$('.checklist,.btn.entry,.flow2').show();
						scrollNext('#checklist');
					}
				}
			});
		});